Bug 481494 - Renaming review: unikurd-web-font ⇒ kurdit-unikurd-web-fonts
Renaming review: unikurd-web-font ⇒ kurdit-unikurd-web-fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Nowak
Bill Nottingham
:
Depends On: 457281
Blocks: F11-new-font-rules 477476
  Show dependency treegraph
 
Reported: 2009-01-25 12:25 EST by Michal Nowak
Modified: 2014-03-16 23:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 17:56:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Nicolas Mailhot 2009-01-25 12:57:53 EST
≥ and ≤ are tricky to get right in rpm

do yourself a favour, start at
Release: 2
and
Obsoletes:     unikurd-web-font < 20020502-2

That will work easily.
Comment 3 Nicolas Mailhot 2009-01-25 13:53:34 EST
upgrade path works

❇❇❇ APPROVED ❇❇❇
Comment 4 Nicolas Mailhot 2009-01-26 07:36:05 EST
(please do not forget your cvs request now)
Comment 5 Michal Nowak 2009-01-26 08:21:46 EST
Package Change Request
======================
Package Name: kurdit-unikurd-web-fonts
Owners: mnowak

rename unikurd-web-font ⇒ kurdit-unikurd-web-fonts just for Rawhide.
Comment 6 Nicolas Mailhot 2009-01-26 08:47:18 EST
(and the usual CCs please, see bug #481478 for an example)
Comment 7 Michal Nowak 2009-01-26 09:01:32 EST
Package Change Request
======================
Package Name: kurdit-unikurd-web-fonts
Owners: mnowak
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes

rename unikurd-web-font ⇒ kurdit-unikurd-web-fonts just for Rawhide.
Comment 8 Kevin Fenzi 2009-01-26 17:14:40 EST
Please include all the info you would with a new package request moving forward?
(It's a pain to have to look up the Short description everytime)

cvs done.
Comment 9 Nicolas Mailhot 2009-02-18 14:33:36 EST
This is a reminder for all the packagers that still have bugs open about adapting to font packaging guidelines there is only one month left before Fedora 11 beta:
http://fedoraproject.org/wiki/Releases/11/Schedule

A week of this month will see the Fedora 11 mass rebuild, that will load the build farm:
http://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

As already converted packages showed it is quite possible to make mistakes during the conversion. Please make releng and QA happy and don't wait till the last minute to do your changes (avoid pre-beta panic). If possible start before the mass rebuild so we don't burn cycles on incorrect packages.

The PackageKit enhancements stated for Fedora 11 assume fonts and font-using packages are sane (basically respect packaging guidelines). It is quite possible that not-converted packages will interact with the F11 font autoinstall feature in "interesting" ways.
http://fedoraproject.org/wiki/Features/AutomaticFontInstallation

We don't want that

There is extensive documentation on the wiki and most of your questions have likely already been answered there. Please do read the FAQ before making more work for the support team by asking questions answered there.
http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29

Note You need to log in before you can comment on or make changes to this bug.